Page MenuHomePhabricator

DateInputWidget does not support $overlay
Closed, ResolvedPublic

Description

DateInputWidget does not support $overlay.

Event Timeline

matmarex created this task.Sep 15 2015, 5:33 PM
matmarex claimed this task.
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added projects: OOUI, MediaWiki-General.
matmarex added subscribers: Prtksxna, matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 5:33 PM

I've got this working locally, but it involved copy-pasting most of FloatingMenuSelectWidget into CalendarWidget. I'm going to extract a FloatableElement mixing from them.

Change 238990 had a related patch set uploaded (by Bartosz Dziewoński):
Introduce FloatableElement mixin

https://gerrit.wikimedia.org/r/238990

Change 238998 had a related patch set uploaded (by Bartosz Dziewoński):
mw.widgets.DateInputWidget: Implement $overlay config option

https://gerrit.wikimedia.org/r/238998

Change 238990 merged by jenkins-bot:
Introduce FloatableElement mixin

https://gerrit.wikimedia.org/r/238990

Change 238998 merged by jenkins-bot:
mw.widgets.DateInputWidget: Implement $overlay config option

https://gerrit.wikimedia.org/r/238998

matmarex closed this task as Resolved.Sep 29 2015, 1:59 PM
matmarex triaged this task as Normal priority.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Nov 21 2015, 2:30 AM
Volker_E moved this task from Reviewing to OOjs-UI-0.12.9 on the OOUI board.Apr 15 2017, 9:38 AM
Volker_E edited projects, added OOUI (OOjs-UI-0.12.9); removed OOUI.